<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Зарабатываем баллы'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();




$banss='84300';
$prise='50';


echo '<div class="news">';
echo 'За переход по ссылке вы палучаете '.$prise.' баллов.<br/>Переходить можно раз в день.<br/></div>';

if(!isset($user))
{
echo'Доступ закрыт не авторизированым пользователям<br/>';
}
else
{

if(isset($_GET['mod']))
{
$mod = $_GET['mod'];
}
else
{
$mod = "";
}

switch($mod)
{


case 'go':
$prise='50';

if(!isset($_GET['id']))
{
echo'Произошла ошибка<br/>';
}
else
{
$id =intval($_GET['id']);
$q=mysql_query("SELECT * FROM `balsadd` WHERE `id` = '$id'");
if(@mysql_affected_rows() > 0)
{
$m=mysql_fetch_array($q);
if($m['est'] >= $m['kol'])
{
echo'Переходы по этой ссылке исчерпаны<br/>';
}
else
{

mysql_query("DELETE FROM `balsaddper` WHERE `time` < '".($time-$banss)."' ");
$qw = mysql_query("SELECT * FROM `balsaddper` WHERE `iduser` = '$user[id]' && `idlink` = '$m[id]' && `time` > '".($time-$banss)."'");
if(@mysql_affected_rows() > 0)
{
$m=mysql_fetch_array($qw);
echo"Переходить по одной и той же сыслке можно не чаще чем раз в 24 часа<br />\nВаш последний переход: ".vremja($m['time'])."\n<br/>";
}
else
{
$namelog=date("dmY", time());
@$files = fopen("logs/$namelog.txt", 'a');
@flock($files, LOCK_EX);
@$result ="$user[nick]|".opsos($user[ip])."|".long2ip($user['ip'])."|".date("c", time())."|$m[id]\n";
@fputs($files, $result);
@flock($files, LOCK_UN);
@fclose($files);



header("Refresh: 0; url=$m[url]");
mysql_query("INSERT INTO `balsaddper` SET `iduser` = '".$user['id']."', `idlink` = '$m[id]', `time` ='$time';");
mysql_query("UPDATE `balsadd` SET `est` = '".($m['est']+1)."' WHERE `id` ='$m[id]';");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+$prise)."' WHERE `id` ='$user[id]';");
echo'<a href="'.$m['url'].'">Переходим..</a><br/>';
}
}
}
else
{
echo'Произошла ошибка<br/>';
}

}

break;
default:

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `balsadd` WHERE `est` <= `kol` "),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{

echo "Нет результатов\n";
}
$q=mysql_query("SELECT * FROM `balsadd` WHERE `est` <= `kol` LIMIT $start, $set[p_str]");
while($m=mysql_fetch_array($q))
{


$qw = mysql_query("SELECT * FROM `balsaddper` WHERE `iduser` = '$user[id]' && `idlink` = '$m[id]' && `time` > '".($time-$banss)."'");
if(@mysql_affected_rows() <= 0)
{
echo'<a href="?mod=go&id='.$m['id'].'">'.$m['name'].'</a><br/ >';
}
}
if ($k_page>1)str("?",$k_page,$page); // Вывод страниц
break;
}
echo"<div class='foot'>\n";
echo"<a href='index.php'>К сылкам</a>\n";
echo"</div>\n";

}


include_once '../sys/inc/tfoot.php';
?>
